## ros-melodic-yocs-ar-pair-tracking 0.8.2

=== src/lib/CMakeLists.txt ===
###############################################################################
# Sources
###############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

###############################################################################
# Build
###############################################################################

add_library(yocs_ar_pair_tracking ${SOURCES})
target_link_libraries(yocs_ar_pair_tracking yaml-cpp ${catkin_LIBRARIES})

###############################################################################
# Install
###############################################################################

install(TARGETS yocs_ar_pair_tracking
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-melodic-yocs-ar-pair-tracking (0.8.2-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 21 Jan 2019 16:09:54 -0000

ros-melodic-yocs-ar-pair-tracking (0.6.3-0bionic) bionic; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-melodic-yocs-ar-pair-tracking (0.6.2-0bionic) bionic; urgency=high

  * update navigation configurations
  * switch maintainer to jihoonl and add yaml-cpp dependency. Fix #56 <https://github.com/yujinrobot/yujin_ocs/issues/56>
  * reduce covariance size to fix #53 <https://github.com/yujinrobot/yujin_ocs/issues/53>
  * reduce covariance size to fix #53 <https://github.com/yujinrobot/yujin_ocs/issues/53>
  * add issue tracker and repository info
  * Contributors: Jihoon Lee, dwlee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 30 Nov 2014 05:00:00 -0000

ros-melodic-yocs-ar-pair-tracking (0.6.1-0bionic) bionic; urgency=high

  * remove eclipse files from bad src location.
  * apply install rules for new packages
  * use ar_track_alvar_msgs instead of ar_track_alvar
  * covariance matrix when it creates pose message closes #34 <https://github.com/yujinrobot/yujin_ocs/issues/34>
  * ar_pair_tracking system working
  * migrates ar marker based algorithms from kobuki x
  * Contributors: Daniel Stonier, Jihoon Lee, jihoonl

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 08 Jul 2014 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-yocs-ar-pair-tracking
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-ar-track-alvar-msgs, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-yocs-ar-marker-tracking, ros-melodic-yocs-math-toolkit, ros-melodic-yocs-msgs
Homepage: http://wiki.ros.org/yocs_ar_pair_tracking
Standards-Version: 3.9.2

Package: ros-melodic-yocs-ar-pair-tracking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ar-track-alvar-msgs, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-yocs-ar-marker-tracking, ros-melodic-yocs-math-toolkit, ros-melodic-yocs-msgs
Description: The AR pair tracking package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-yocs-ar-pair-tracking//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
